Become a MacRumors Supporter for $25/year with no ads, private forums, and more!

buddaful

macrumors newbie
Original poster
Dec 29, 2011
2
0
hello can any one help me looking to upgrade soft ware jut got a g4 mdd 1.25ghz dual 1gb ram 1.20gb hdd combo would like to upgrade soft ware have 10.5.6 want to upgrade to higher if i can thank you for your time email.me if you can help:rolleyes::p:confused::apple::eek:
 

Senex

macrumors member
Dec 27, 2011
77
0
Northern Indiana, USA
hell can any one help me looking to upgrade soft ware jut got a g4 mdd 1.25ghz dual 1gb ram 1.20gb hdd combo would like to upgrade soft ware have 10.5.6 want to upgrade to higher if i can thank you for your time email.me if you can help:rolleyes::p:confused::apple::eek:

PowerPCs will NOT support Snow Leopard, as Snow Leopard and Lion are built around Intel processors only. You're pretty much stuck with Leopard on that machine.
 
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.